
Name:      brasero
Version:   0.5.2
Release:   1%{?dist}
Summary:   Gnome CD/DVD burning application
Group:     Applications/Multimedia
License:   GPL
URL:       http://perso.orange.fr/bonfire/
Source0:   http://download.sourceforge.net/bonfire/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext intltool
BuildRequires:  desktop-file-utils
BuildRequires:  libgnomeui-devel >= 2.10.0
BuildRequires:  gstreamer-devel >= 0.10.6
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:  nautilus-cd-burner-devel >= 2.16.0
BuildRequires:  libbeagle-devel >= 0.1.1
BuildRequires:  totem-devel >= 1.2.0
BuildRequires:  libburn-devel >= 0.2.3
BuildRequires:  libisofs-devel >= 0.2.4

Requires:  dvd+rw-tools
Requires:  cdrecord
Requires:  mkisofs
Requires:  cdda2wav
Requires:  cdrdao

Requires(post):    shared-mime-info
Requires(postun):  shared-mime-info
Requires(pre):     GConf2
Requires(post):    GConf2
Requires(preun):   GConf2


%description
Simple and easy to use CD/DVD burning application for the Gnome
desktop.


%prep
%setup -q


%build
%configure --disable-caches --disable-static --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor ""                   \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --add-category X-Fedora                        \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null  || :
killall -HUP gconfd-2 &>/dev/null || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_mandir}/man1/%{name}.*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/brasero.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/*
%config %{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Mon Feb 26 2007 Denis Leroy <denis@poolshark.org> - 0.5.2-1
- Update to 0.5.2
- libisofs patch removed, is upstream

* Wed Jan 17 2007 Denis Leroy <denis@poolshark.org> - 0.5.1-2
- Added patch to support libisofs.so.4 and libburn.so.6

* Thu Nov 16 2006 Denis Leroy <denis@poolshark.org> - 0.5.1-1
- Update to 0.5.1

* Sun Oct 29 2006 Denis Leroy <denis@poolshark.org> - 0.5.0-1
- Update to 0.5.0
- Updated icon paths
- Added gconf schemas sections

* Tue Oct  3 2006 Denis Leroy <denis@poolshark.org> - 0.4.4-3
- fixed homepage URL

* Tue Sep 26 2006 Denis Leroy <denis@poolshark.org> - 0.4.4-2
- BRs cleanup

* Fri Sep 22 2006 Denis Leroy <denis@poolshark.org> - 0.4.4-1
- First version
